Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.rp.config
Class DefaultRPConfiguration

    java.lang.Object
      tle.framework.component.impl.rp.config.DefaultRPConfiguration

public class DefaultRPConfiguration
extends java.lang.Object

DefaultRequestProcessor의 설정 정보를 저장하는 클래스.

Since:
  2.0
Author:
  최범균

Field Summary
`static int` | `DEFAULT_GOVIEW`
`static int` | `DEFAULT_NOHANDLER`

Constructor Summary
`DefaultRPConfiguration()`

Method Summary
`void` | `addClassPath(java.lang.String classPath)`
`void` | `addCommandHandlerMapping(java.lang.String commandID, java.lang.String handlerID, java.lang.String formName, java.lang.String formErrorResultCode)` 2.0.5 버전에 formName 인자와 formErrorResultCode 인자 추가
`void` | `addFormConfig(FormConfig formConfig)`
`void` | `addHandlerClass(java.lang.String handlerID, java.lang.String handlerClassName, java.lang.String jspPage)`
`void` | `addValidatorConfig(java.lang.String name, java.lang.String className)`
`java.lang.String[]` | `getClassPathArray()`
`java.util.Map` | `getCommandHandlerMap()`
`int` | `getDefaultHandlerType()`
`FormConfig` | `getFormConfig(java.lang.String name)`
`FormConfig[]` | `getFormConfigs(java.lang.String names)` names에 명시된 이름에 해당하는 FormConfig의 배열을 리턴한다.
`java.util.Map` | `getHandlerClassMap()`
`java.util.Map` | `getHandlerJspMap()`
`java.util.List` | `getValidatorConfigList()`
`boolean` | `isUseDefaultOnInvalidMapping()`
`boolean` | `isUsingIndependentClassPath()`
`void` | `loadCommandHandlerMapping(java.lang.String file)`
`void` | `loadFormList(java.lang.String file)`
`void` | `loadHandlerList(java.lang.String file)`
`void` | `setDefaultHandler(java.lang.String type)`
`void` | `setUseDefaultOnInvalidMapping(java.lang.String value)`
`void` | `setUsingIndependentClassPath(boolean b)`
`static java.lang.String[]` | `split(java.lang.String value, char delimeter, boolean trim, boolean addOneTokenAfterLastDelimter)` value 문자열을 delimter를 기준으로 토큰으로 나눈다.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_GOVIEW

    public static final int DEFAULT_GOVIEW

See Also:
  Constant Field Values

### DEFAULT_NOHANDLER

    public static final int DEFAULT_NOHANDLER

See Also:
  Constant Field Values

Constructor Detail

### DefaultRPConfiguration

    public DefaultRPConfiguration()

Method Detail

### setUsingIndependentClassPath

    public void setUsingIndependentClassPath(boolean b)

### isUsingIndependentClassPath

    public boolean isUsingIndependentClassPath()

### addValidatorConfig

    public void addValidatorConfig(java.lang.String name,
                                   java.lang.String className)

  Since:
    2.0.5

### getValidatorConfigList

    public java.util.List getValidatorConfigList()

  Since:
    2.0.5

### addFormConfig

    public void addFormConfig(FormConfig formConfig)

  Since:
    2.0.5

### getFormConfig

    public FormConfig getFormConfig(java.lang.String name)

  Since:
    2.0.5

### getFormConfigs

    public FormConfig[] getFormConfigs(java.lang.String names)

  names에 명시된 이름에 해당하는 FormConfig의 배열을 리턴한다. names는 콤마(',')로 분리된 폼 이름을 갖는다.

  Parameters:
    `names` -
  Returns:

### loadFormList

    public void loadFormList(java.lang.String file)

  Since:
    2.0.5

### addClassPath

    public void addClassPath(java.lang.String classPath)

### getClassPathArray

    public java.lang.String[] getClassPathArray()

### addHandlerClass

    public void addHandlerClass(java.lang.String handlerID,
                                java.lang.String handlerClassName,
                                java.lang.String jspPage)

### loadHandlerList

    public void loadHandlerList(java.lang.String file)

### getHandlerClassMap

    public java.util.Map getHandlerClassMap()

### getHandlerJspMap

    public java.util.Map getHandlerJspMap()

### setDefaultHandler

    public void setDefaultHandler(java.lang.String type)

### getDefaultHandlerType

    public int getDefaultHandlerType()

### setUseDefaultOnInvalidMapping

    public void setUseDefaultOnInvalidMapping(java.lang.String value)

  Parameters:
    `value` -
  Since:
    2.0.5.6

### isUseDefaultOnInvalidMapping

    public boolean isUseDefaultOnInvalidMapping()

  Returns:
  Since:
    2.0.5.6

### addCommandHandlerMapping

    public void addCommandHandlerMapping(java.lang.String commandID,
                                         java.lang.String handlerID,
                                         java.lang.String formName,
                                         java.lang.String formErrorResultCode)

  2.0.5 버전에 formName 인자와 formErrorResultCode 인자 추가

  Parameters:
    `commandID` -
    `handlerID` -
    `formName` -
    `formErrorResultCode` -

### getCommandHandlerMap

    public java.util.Map getCommandHandlerMap()

### loadCommandHandlerMapping

    public void loadCommandHandlerMapping(java.lang.String file)

### split

    public static java.lang.String[] split(java.lang.String value,
                                           char delimeter,
                                           boolean trim,
                                           boolean addOneTokenAfterLastDelimter)

  value 문자열을 delimter를 기준으로 토큰으로 나눈다. delimter 사이에 아무문자열이 없는 경우 토큰은 ""가 된다.

  Parameters:
    `value` -
    `delimeter` - 구분자
    `trim` - delimeter로 구분되는 토큰의 값을 trim 해서 생성할지의 여부
    `addOneTokenAfterLastDelimter` - delimeter가 마지막 글자였을 때, 빈문자열로 토큰을 하나 더 추가할지의 여부.
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD